<template lang="pug">
BaseCard(title='FilterStation')
  li(key='1').p-0
    table.table.table-sm.table-hover
      thead.bg-light
        tr
          th Filter
          th Current Position
          th Command
      tbody
        tr(v-for="state, idx in filters")
          td {{ idx + 1 }}
          td.x-current
            BaseAnimationBlock
              .badge(:key='state' :class="stateClass(state)") {{ stateName(state) }}
          td.x-next
            BaseToggle(ref='input' :value='state === $options.filterPosMap.IN' :inEdit='true')
  li(key='2')
    .row.justify-content-end
      .col-auto
        button.btn.btn-primary.mx-1(type='submit' @click='doSubmit()')
          | Submit
  template(#footer)
    .row
      .col-12
        div #[strong= "Air Pressure:"] {{ airPressure | b-bigNumber(' bar(s)') }}
</template>

<script>

export { default } from './FilterStationController.vue.js';

</script>
<style lang='scss'>
.badge {
  font-size: 100%;
}

.table-head > th {
  border: 1px solid #dee2e6 !important;
}

.table td, .table th {
  vertical-align: middle;
  text-align: center;
  font-size: 0.9rem;
}
</style>
